Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network125.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
125.0.0.0
Broadcast address
125.127.255.255
First usable
125.0.0.1
Last usable
125.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 7D000000 · Integer 2097152000 to 2105540607
Reverse DNS zones
0.125.in-addr.arpa
1.125.in-addr.arpa
2.125.in-addr.arpa
3.125.in-addr.arpa
4.125.in-addr.arpa
5.125.in-addr.arpa
6.125.in-addr.arpa
7.125.in-addr.arpa
8.125.in-addr.arpa
9.125.in-addr.arpa
10.125.in-addr.arpa
11.125.in-addr.arpa
12.125.in-addr.arpa
13.125.in-addr.arpa
14.125.in-addr.arpa
15.125.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01111101.00000000.00000000.00000000125.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01111101.00000000.00000000.00000000125.0.0.0
Broadcast01111101.01111111.11111111.11111111125.127.255.255
Split into smaller subnets/17

125.0.0.0/9 makes 256 subnets of /17.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1125.0.0.0/17125.0.0.1 to 125.0.127.254125.0.127.25532,766
2125.0.128.0/17125.0.128.1 to 125.0.255.254125.0.255.25532,766
3125.1.0.0/17125.1.0.1 to 125.1.127.254125.1.127.25532,766
4125.1.128.0/17125.1.128.1 to 125.1.255.254125.1.255.25532,766
5125.2.0.0/17125.2.0.1 to 125.2.127.254125.2.127.25532,766
6125.2.128.0/17125.2.128.1 to 125.2.255.254125.2.255.25532,766
7125.3.0.0/17125.3.0.1 to 125.3.127.254125.3.127.25532,766
8125.3.128.0/17125.3.128.1 to 125.3.255.254125.3.255.25532,766
9125.4.0.0/17125.4.0.1 to 125.4.127.254125.4.127.25532,766
10125.4.128.0/17125.4.128.1 to 125.4.255.254125.4.255.25532,766
11125.5.0.0/17125.5.0.1 to 125.5.127.254125.5.127.25532,766
12125.5.128.0/17125.5.128.1 to 125.5.255.254125.5.255.25532,766
13125.6.0.0/17125.6.0.1 to 125.6.127.254125.6.127.25532,766
14125.6.128.0/17125.6.128.1 to 125.6.255.254125.6.255.25532,766
15125.7.0.0/17125.7.0.1 to 125.7.127.254125.7.127.25532,766
16125.7.128.0/17125.7.128.1 to 125.7.255.254125.7.255.25532,766
17125.8.0.0/17125.8.0.1 to 125.8.127.254125.8.127.25532,766
18125.8.128.0/17125.8.128.1 to 125.8.255.254125.8.255.25532,766
19125.9.0.0/17125.9.0.1 to 125.9.127.254125.9.127.25532,766
20125.9.128.0/17125.9.128.1 to 125.9.255.254125.9.255.25532,766
21125.10.0.0/17125.10.0.1 to 125.10.127.254125.10.127.25532,766
22125.10.128.0/17125.10.128.1 to 125.10.255.254125.10.255.25532,766
23125.11.0.0/17125.11.0.1 to 125.11.127.254125.11.127.25532,766
24125.11.128.0/17125.11.128.1 to 125.11.255.254125.11.255.25532,766
25125.12.0.0/17125.12.0.1 to 125.12.127.254125.12.127.25532,766
26125.12.128.0/17125.12.128.1 to 125.12.255.254125.12.255.25532,766
27125.13.0.0/17125.13.0.1 to 125.13.127.254125.13.127.25532,766
28125.13.128.0/17125.13.128.1 to 125.13.255.254125.13.255.25532,766
29125.14.0.0/17125.14.0.1 to 125.14.127.254125.14.127.25532,766
30125.14.128.0/17125.14.128.1 to 125.14.255.254125.14.255.25532,766
31125.15.0.0/17125.15.0.1 to 125.15.127.254125.15.127.25532,766
32125.15.128.0/17125.15.128.1 to 125.15.255.254125.15.255.25532,766
33125.16.0.0/17125.16.0.1 to 125.16.127.254125.16.127.25532,766
34125.16.128.0/17125.16.128.1 to 125.16.255.254125.16.255.25532,766
35125.17.0.0/17125.17.0.1 to 125.17.127.254125.17.127.25532,766
36125.17.128.0/17125.17.128.1 to 125.17.255.254125.17.255.25532,766
37125.18.0.0/17125.18.0.1 to 125.18.127.254125.18.127.25532,766
38125.18.128.0/17125.18.128.1 to 125.18.255.254125.18.255.25532,766
39125.19.0.0/17125.19.0.1 to 125.19.127.254125.19.127.25532,766
40125.19.128.0/17125.19.128.1 to 125.19.255.254125.19.255.25532,766
41125.20.0.0/17125.20.0.1 to 125.20.127.254125.20.127.25532,766
42125.20.128.0/17125.20.128.1 to 125.20.255.254125.20.255.25532,766
43125.21.0.0/17125.21.0.1 to 125.21.127.254125.21.127.25532,766
44125.21.128.0/17125.21.128.1 to 125.21.255.254125.21.255.25532,766
45125.22.0.0/17125.22.0.1 to 125.22.127.254125.22.127.25532,766
46125.22.128.0/17125.22.128.1 to 125.22.255.254125.22.255.25532,766
47125.23.0.0/17125.23.0.1 to 125.23.127.254125.23.127.25532,766
48125.23.128.0/17125.23.128.1 to 125.23.255.254125.23.255.25532,766
49125.24.0.0/17125.24.0.1 to 125.24.127.254125.24.127.25532,766
50125.24.128.0/17125.24.128.1 to 125.24.255.254125.24.255.25532,766
51125.25.0.0/17125.25.0.1 to 125.25.127.254125.25.127.25532,766
52125.25.128.0/17125.25.128.1 to 125.25.255.254125.25.255.25532,766
53125.26.0.0/17125.26.0.1 to 125.26.127.254125.26.127.25532,766
54125.26.128.0/17125.26.128.1 to 125.26.255.254125.26.255.25532,766
55125.27.0.0/17125.27.0.1 to 125.27.127.254125.27.127.25532,766
56125.27.128.0/17125.27.128.1 to 125.27.255.254125.27.255.25532,766
57125.28.0.0/17125.28.0.1 to 125.28.127.254125.28.127.25532,766
58125.28.128.0/17125.28.128.1 to 125.28.255.254125.28.255.25532,766
59125.29.0.0/17125.29.0.1 to 125.29.127.254125.29.127.25532,766
60125.29.128.0/17125.29.128.1 to 125.29.255.254125.29.255.25532,766
61125.30.0.0/17125.30.0.1 to 125.30.127.254125.30.127.25532,766
62125.30.128.0/17125.30.128.1 to 125.30.255.254125.30.255.25532,766
63125.31.0.0/17125.31.0.1 to 125.31.127.254125.31.127.25532,766
64125.31.128.0/17125.31.128.1 to 125.31.255.254125.31.255.25532,766
65125.32.0.0/17125.32.0.1 to 125.32.127.254125.32.127.25532,766
66125.32.128.0/17125.32.128.1 to 125.32.255.254125.32.255.25532,766
67125.33.0.0/17125.33.0.1 to 125.33.127.254125.33.127.25532,766
68125.33.128.0/17125.33.128.1 to 125.33.255.254125.33.255.25532,766
69125.34.0.0/17125.34.0.1 to 125.34.127.254125.34.127.25532,766
70125.34.128.0/17125.34.128.1 to 125.34.255.254125.34.255.25532,766
71125.35.0.0/17125.35.0.1 to 125.35.127.254125.35.127.25532,766
72125.35.128.0/17125.35.128.1 to 125.35.255.254125.35.255.25532,766
73125.36.0.0/17125.36.0.1 to 125.36.127.254125.36.127.25532,766
74125.36.128.0/17125.36.128.1 to 125.36.255.254125.36.255.25532,766
75125.37.0.0/17125.37.0.1 to 125.37.127.254125.37.127.25532,766
76125.37.128.0/17125.37.128.1 to 125.37.255.254125.37.255.25532,766
77125.38.0.0/17125.38.0.1 to 125.38.127.254125.38.127.25532,766
78125.38.128.0/17125.38.128.1 to 125.38.255.254125.38.255.25532,766
79125.39.0.0/17125.39.0.1 to 125.39.127.254125.39.127.25532,766
80125.39.128.0/17125.39.128.1 to 125.39.255.254125.39.255.25532,766
81125.40.0.0/17125.40.0.1 to 125.40.127.254125.40.127.25532,766
82125.40.128.0/17125.40.128.1 to 125.40.255.254125.40.255.25532,766
83125.41.0.0/17125.41.0.1 to 125.41.127.254125.41.127.25532,766
84125.41.128.0/17125.41.128.1 to 125.41.255.254125.41.255.25532,766
85125.42.0.0/17125.42.0.1 to 125.42.127.254125.42.127.25532,766
86125.42.128.0/17125.42.128.1 to 125.42.255.254125.42.255.25532,766
87125.43.0.0/17125.43.0.1 to 125.43.127.254125.43.127.25532,766
88125.43.128.0/17125.43.128.1 to 125.43.255.254125.43.255.25532,766
89125.44.0.0/17125.44.0.1 to 125.44.127.254125.44.127.25532,766
90125.44.128.0/17125.44.128.1 to 125.44.255.254125.44.255.25532,766
91125.45.0.0/17125.45.0.1 to 125.45.127.254125.45.127.25532,766
92125.45.128.0/17125.45.128.1 to 125.45.255.254125.45.255.25532,766
93125.46.0.0/17125.46.0.1 to 125.46.127.254125.46.127.25532,766
94125.46.128.0/17125.46.128.1 to 125.46.255.254125.46.255.25532,766
95125.47.0.0/17125.47.0.1 to 125.47.127.254125.47.127.25532,766
96125.47.128.0/17125.47.128.1 to 125.47.255.254125.47.255.25532,766
97125.48.0.0/17125.48.0.1 to 125.48.127.254125.48.127.25532,766
98125.48.128.0/17125.48.128.1 to 125.48.255.254125.48.255.25532,766
99125.49.0.0/17125.49.0.1 to 125.49.127.254125.49.127.25532,766
100125.49.128.0/17125.49.128.1 to 125.49.255.254125.49.255.25532,766
101125.50.0.0/17125.50.0.1 to 125.50.127.254125.50.127.25532,766
102125.50.128.0/17125.50.128.1 to 125.50.255.254125.50.255.25532,766
103125.51.0.0/17125.51.0.1 to 125.51.127.254125.51.127.25532,766
104125.51.128.0/17125.51.128.1 to 125.51.255.254125.51.255.25532,766
105125.52.0.0/17125.52.0.1 to 125.52.127.254125.52.127.25532,766
106125.52.128.0/17125.52.128.1 to 125.52.255.254125.52.255.25532,766
107125.53.0.0/17125.53.0.1 to 125.53.127.254125.53.127.25532,766
108125.53.128.0/17125.53.128.1 to 125.53.255.254125.53.255.25532,766
109125.54.0.0/17125.54.0.1 to 125.54.127.254125.54.127.25532,766
110125.54.128.0/17125.54.128.1 to 125.54.255.254125.54.255.25532,766
111125.55.0.0/17125.55.0.1 to 125.55.127.254125.55.127.25532,766
112125.55.128.0/17125.55.128.1 to 125.55.255.254125.55.255.25532,766
113125.56.0.0/17125.56.0.1 to 125.56.127.254125.56.127.25532,766
114125.56.128.0/17125.56.128.1 to 125.56.255.254125.56.255.25532,766
115125.57.0.0/17125.57.0.1 to 125.57.127.254125.57.127.25532,766
116125.57.128.0/17125.57.128.1 to 125.57.255.254125.57.255.25532,766
117125.58.0.0/17125.58.0.1 to 125.58.127.254125.58.127.25532,766
118125.58.128.0/17125.58.128.1 to 125.58.255.254125.58.255.25532,766
119125.59.0.0/17125.59.0.1 to 125.59.127.254125.59.127.25532,766
120125.59.128.0/17125.59.128.1 to 125.59.255.254125.59.255.25532,766
121125.60.0.0/17125.60.0.1 to 125.60.127.254125.60.127.25532,766
122125.60.128.0/17125.60.128.1 to 125.60.255.254125.60.255.25532,766
123125.61.0.0/17125.61.0.1 to 125.61.127.254125.61.127.25532,766
124125.61.128.0/17125.61.128.1 to 125.61.255.254125.61.255.25532,766
125125.62.0.0/17125.62.0.1 to 125.62.127.254125.62.127.25532,766
126125.62.128.0/17125.62.128.1 to 125.62.255.254125.62.255.25532,766
127125.63.0.0/17125.63.0.1 to 125.63.127.254125.63.127.25532,766
128125.63.128.0/17125.63.128.1 to 125.63.255.254125.63.255.25532,766
129125.64.0.0/17125.64.0.1 to 125.64.127.254125.64.127.25532,766
130125.64.128.0/17125.64.128.1 to 125.64.255.254125.64.255.25532,766
131125.65.0.0/17125.65.0.1 to 125.65.127.254125.65.127.25532,766
132125.65.128.0/17125.65.128.1 to 125.65.255.254125.65.255.25532,766
133125.66.0.0/17125.66.0.1 to 125.66.127.254125.66.127.25532,766
134125.66.128.0/17125.66.128.1 to 125.66.255.254125.66.255.25532,766
135125.67.0.0/17125.67.0.1 to 125.67.127.254125.67.127.25532,766
136125.67.128.0/17125.67.128.1 to 125.67.255.254125.67.255.25532,766
137125.68.0.0/17125.68.0.1 to 125.68.127.254125.68.127.25532,766
138125.68.128.0/17125.68.128.1 to 125.68.255.254125.68.255.25532,766
139125.69.0.0/17125.69.0.1 to 125.69.127.254125.69.127.25532,766
140125.69.128.0/17125.69.128.1 to 125.69.255.254125.69.255.25532,766
141125.70.0.0/17125.70.0.1 to 125.70.127.254125.70.127.25532,766
142125.70.128.0/17125.70.128.1 to 125.70.255.254125.70.255.25532,766
143125.71.0.0/17125.71.0.1 to 125.71.127.254125.71.127.25532,766
144125.71.128.0/17125.71.128.1 to 125.71.255.254125.71.255.25532,766
145125.72.0.0/17125.72.0.1 to 125.72.127.254125.72.127.25532,766
146125.72.128.0/17125.72.128.1 to 125.72.255.254125.72.255.25532,766
147125.73.0.0/17125.73.0.1 to 125.73.127.254125.73.127.25532,766
148125.73.128.0/17125.73.128.1 to 125.73.255.254125.73.255.25532,766
149125.74.0.0/17125.74.0.1 to 125.74.127.254125.74.127.25532,766
150125.74.128.0/17125.74.128.1 to 125.74.255.254125.74.255.25532,766
151125.75.0.0/17125.75.0.1 to 125.75.127.254125.75.127.25532,766
152125.75.128.0/17125.75.128.1 to 125.75.255.254125.75.255.25532,766
153125.76.0.0/17125.76.0.1 to 125.76.127.254125.76.127.25532,766
154125.76.128.0/17125.76.128.1 to 125.76.255.254125.76.255.25532,766
155125.77.0.0/17125.77.0.1 to 125.77.127.254125.77.127.25532,766
156125.77.128.0/17125.77.128.1 to 125.77.255.254125.77.255.25532,766
157125.78.0.0/17125.78.0.1 to 125.78.127.254125.78.127.25532,766
158125.78.128.0/17125.78.128.1 to 125.78.255.254125.78.255.25532,766
159125.79.0.0/17125.79.0.1 to 125.79.127.254125.79.127.25532,766
160125.79.128.0/17125.79.128.1 to 125.79.255.254125.79.255.25532,766
161125.80.0.0/17125.80.0.1 to 125.80.127.254125.80.127.25532,766
162125.80.128.0/17125.80.128.1 to 125.80.255.254125.80.255.25532,766
163125.81.0.0/17125.81.0.1 to 125.81.127.254125.81.127.25532,766
164125.81.128.0/17125.81.128.1 to 125.81.255.254125.81.255.25532,766
165125.82.0.0/17125.82.0.1 to 125.82.127.254125.82.127.25532,766
166125.82.128.0/17125.82.128.1 to 125.82.255.254125.82.255.25532,766
167125.83.0.0/17125.83.0.1 to 125.83.127.254125.83.127.25532,766
168125.83.128.0/17125.83.128.1 to 125.83.255.254125.83.255.25532,766
169125.84.0.0/17125.84.0.1 to 125.84.127.254125.84.127.25532,766
170125.84.128.0/17125.84.128.1 to 125.84.255.254125.84.255.25532,766
171125.85.0.0/17125.85.0.1 to 125.85.127.254125.85.127.25532,766
172125.85.128.0/17125.85.128.1 to 125.85.255.254125.85.255.25532,766
173125.86.0.0/17125.86.0.1 to 125.86.127.254125.86.127.25532,766
174125.86.128.0/17125.86.128.1 to 125.86.255.254125.86.255.25532,766
175125.87.0.0/17125.87.0.1 to 125.87.127.254125.87.127.25532,766
176125.87.128.0/17125.87.128.1 to 125.87.255.254125.87.255.25532,766
177125.88.0.0/17125.88.0.1 to 125.88.127.254125.88.127.25532,766
178125.88.128.0/17125.88.128.1 to 125.88.255.254125.88.255.25532,766
179125.89.0.0/17125.89.0.1 to 125.89.127.254125.89.127.25532,766
180125.89.128.0/17125.89.128.1 to 125.89.255.254125.89.255.25532,766
181125.90.0.0/17125.90.0.1 to 125.90.127.254125.90.127.25532,766
182125.90.128.0/17125.90.128.1 to 125.90.255.254125.90.255.25532,766
183125.91.0.0/17125.91.0.1 to 125.91.127.254125.91.127.25532,766
184125.91.128.0/17125.91.128.1 to 125.91.255.254125.91.255.25532,766
185125.92.0.0/17125.92.0.1 to 125.92.127.254125.92.127.25532,766
186125.92.128.0/17125.92.128.1 to 125.92.255.254125.92.255.25532,766
187125.93.0.0/17125.93.0.1 to 125.93.127.254125.93.127.25532,766
188125.93.128.0/17125.93.128.1 to 125.93.255.254125.93.255.25532,766
189125.94.0.0/17125.94.0.1 to 125.94.127.254125.94.127.25532,766
190125.94.128.0/17125.94.128.1 to 125.94.255.254125.94.255.25532,766
191125.95.0.0/17125.95.0.1 to 125.95.127.254125.95.127.25532,766
192125.95.128.0/17125.95.128.1 to 125.95.255.254125.95.255.25532,766
193125.96.0.0/17125.96.0.1 to 125.96.127.254125.96.127.25532,766
194125.96.128.0/17125.96.128.1 to 125.96.255.254125.96.255.25532,766
195125.97.0.0/17125.97.0.1 to 125.97.127.254125.97.127.25532,766
196125.97.128.0/17125.97.128.1 to 125.97.255.254125.97.255.25532,766
197125.98.0.0/17125.98.0.1 to 125.98.127.254125.98.127.25532,766
198125.98.128.0/17125.98.128.1 to 125.98.255.254125.98.255.25532,766
199125.99.0.0/17125.99.0.1 to 125.99.127.254125.99.127.25532,766
200125.99.128.0/17125.99.128.1 to 125.99.255.254125.99.255.25532,766
201125.100.0.0/17125.100.0.1 to 125.100.127.254125.100.127.25532,766
202125.100.128.0/17125.100.128.1 to 125.100.255.254125.100.255.25532,766
203125.101.0.0/17125.101.0.1 to 125.101.127.254125.101.127.25532,766
204125.101.128.0/17125.101.128.1 to 125.101.255.254125.101.255.25532,766
205125.102.0.0/17125.102.0.1 to 125.102.127.254125.102.127.25532,766
206125.102.128.0/17125.102.128.1 to 125.102.255.254125.102.255.25532,766
207125.103.0.0/17125.103.0.1 to 125.103.127.254125.103.127.25532,766
208125.103.128.0/17125.103.128.1 to 125.103.255.254125.103.255.25532,766
209125.104.0.0/17125.104.0.1 to 125.104.127.254125.104.127.25532,766
210125.104.128.0/17125.104.128.1 to 125.104.255.254125.104.255.25532,766
211125.105.0.0/17125.105.0.1 to 125.105.127.254125.105.127.25532,766
212125.105.128.0/17125.105.128.1 to 125.105.255.254125.105.255.25532,766
213125.106.0.0/17125.106.0.1 to 125.106.127.254125.106.127.25532,766
214125.106.128.0/17125.106.128.1 to 125.106.255.254125.106.255.25532,766
215125.107.0.0/17125.107.0.1 to 125.107.127.254125.107.127.25532,766
216125.107.128.0/17125.107.128.1 to 125.107.255.254125.107.255.25532,766
217125.108.0.0/17125.108.0.1 to 125.108.127.254125.108.127.25532,766
218125.108.128.0/17125.108.128.1 to 125.108.255.254125.108.255.25532,766
219125.109.0.0/17125.109.0.1 to 125.109.127.254125.109.127.25532,766
220125.109.128.0/17125.109.128.1 to 125.109.255.254125.109.255.25532,766
221125.110.0.0/17125.110.0.1 to 125.110.127.254125.110.127.25532,766
222125.110.128.0/17125.110.128.1 to 125.110.255.254125.110.255.25532,766
223125.111.0.0/17125.111.0.1 to 125.111.127.254125.111.127.25532,766
224125.111.128.0/17125.111.128.1 to 125.111.255.254125.111.255.25532,766
225125.112.0.0/17125.112.0.1 to 125.112.127.254125.112.127.25532,766
226125.112.128.0/17125.112.128.1 to 125.112.255.254125.112.255.25532,766
227125.113.0.0/17125.113.0.1 to 125.113.127.254125.113.127.25532,766
228125.113.128.0/17125.113.128.1 to 125.113.255.254125.113.255.25532,766
229125.114.0.0/17125.114.0.1 to 125.114.127.254125.114.127.25532,766
230125.114.128.0/17125.114.128.1 to 125.114.255.254125.114.255.25532,766
231125.115.0.0/17125.115.0.1 to 125.115.127.254125.115.127.25532,766
232125.115.128.0/17125.115.128.1 to 125.115.255.254125.115.255.25532,766
233125.116.0.0/17125.116.0.1 to 125.116.127.254125.116.127.25532,766
234125.116.128.0/17125.116.128.1 to 125.116.255.254125.116.255.25532,766
235125.117.0.0/17125.117.0.1 to 125.117.127.254125.117.127.25532,766
236125.117.128.0/17125.117.128.1 to 125.117.255.254125.117.255.25532,766
237125.118.0.0/17125.118.0.1 to 125.118.127.254125.118.127.25532,766
238125.118.128.0/17125.118.128.1 to 125.118.255.254125.118.255.25532,766
239125.119.0.0/17125.119.0.1 to 125.119.127.254125.119.127.25532,766
240125.119.128.0/17125.119.128.1 to 125.119.255.254125.119.255.25532,766
241125.120.0.0/17125.120.0.1 to 125.120.127.254125.120.127.25532,766
242125.120.128.0/17125.120.128.1 to 125.120.255.254125.120.255.25532,766
243125.121.0.0/17125.121.0.1 to 125.121.127.254125.121.127.25532,766
244125.121.128.0/17125.121.128.1 to 125.121.255.254125.121.255.25532,766
245125.122.0.0/17125.122.0.1 to 125.122.127.254125.122.127.25532,766
246125.122.128.0/17125.122.128.1 to 125.122.255.254125.122.255.25532,766
247125.123.0.0/17125.123.0.1 to 125.123.127.254125.123.127.25532,766
248125.123.128.0/17125.123.128.1 to 125.123.255.254125.123.255.25532,766
249125.124.0.0/17125.124.0.1 to 125.124.127.254125.124.127.25532,766
250125.124.128.0/17125.124.128.1 to 125.124.255.254125.124.255.25532,766
251125.125.0.0/17125.125.0.1 to 125.125.127.254125.125.127.25532,766
252125.125.128.0/17125.125.128.1 to 125.125.255.254125.125.255.25532,766
253125.126.0.0/17125.126.0.1 to 125.126.127.254125.126.127.25532,766
254125.126.128.0/17125.126.128.1 to 125.126.255.254125.126.255.25532,766
255125.127.0.0/17125.127.0.1 to 125.127.127.254125.127.127.25532,766
256125.127.128.0/17125.127.128.1 to 125.127.255.254125.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses